Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.jacob.ap
Class JacobAnnotationProcessorFactory

    java.lang.Object
      org.apache.ode.jacob.ap.JacobAnnotationProcessorFactory

All Implemented Interfaces:
  com.sun.mirror.apt.AnnotationProcessorFactory

    public class JacobAnnotationProcessorFactory

extends java.lang.Object
implements com.sun.mirror.apt.AnnotationProcessorFactory

Constructor Summary
`JacobAnnotationProcessorFactory()`

Method Summary
`com.sun.mirror.apt.AnnotationProcessor` | `getProcessorFor(java.util.Set<com.sun.mirror.declaration.AnnotationTypeDeclaration> atd, com.sun.mirror.apt.AnnotationProcessorEnvironment ape)`
`java.util.Collection<java.lang.String>` | `supportedAnnotationTypes()`
`java.util.Collection<java.lang.String>` | `supportedOptions()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JacobAnnotationProcessorFactory

    public JacobAnnotationProcessorFactory()

Method Detail

### supportedOptions

    public java.util.Collection<java.lang.String> supportedOptions()

  Specified by:
    `supportedOptions` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`

### supportedAnnotationTypes

    public java.util.Collection<java.lang.String> supportedAnnotationTypes()

  Specified by:
    `supportedAnnotationTypes` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`

### getProcessorFor

    public com.sun.mirror.apt.AnnotationProcessor getProcessorFor(java.util.Set<com.sun.mirror.declaration.AnnotationTypeDeclaration> atd,
                                                                  com.sun.mirror.apt.AnnotationProcessorEnvironment ape)

  Specified by:
    `getProcessorFor` in interface `com.sun.mirror.apt.AnnotationProcessorFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD